/* MadCap Table Style: */

/*<meta />*/
td p
{
	margin-top: 1pt;
	margin-bottom: 1pt;
	margin-left: 1pt;
	margin-right: 1pt;
}

mcTableStyle {
	name: Unshaded; 
	margin-top: 25pt; 
	margin-bottom: 15pt; 
	border-spacing-x: 0; 
	border-spacing-y: 0; 
	border-collapse: collapse; 
	border-left-color: #000000; 
	border-right-color: #000000; 
	border-top-color: #000000; 
	border-bottom-color: #000000; 
	border-top-style: solid; 
	border-top-width: 1px; 
	border-bottom-style: solid; 
	border-bottom-width: 1px; 
	border-right-style: solid; 
	border-right-width: 1px; 
	border-left-style: solid; 
	border-left-width: 1px; 
	cell-padding-top: 2pt; 
	cell-padding-left: 2pt; 
	cell-padding-right: 5pt; 
	cell-padding-bottom: 2pt; 
}

mcTableColumnStyle {
	separator-style: solid; 
	separator-width: 1px; 
	separator-color: #000000; 
	ruler-style: solid; 
	ruler-width: 1px; 
	ruler-color: #000000; 
}

mcTableHeadStyle {
	background-color: #cccccc; 
	separator-style: solid; 
	separator-width: 3px; 
	text-align: center; 
	font-size: 12pt; 
	color: #000000; 
	font-weight: bold; 
}

mcTableBodyStyle {
	span: 4; 
	separator-style: solid; 
	separator-width: 1px; 
	separator-color: #000000; 
	ruler-style: solid; 
	ruler-width: 1px; 
	ruler-color: #000000; 
	vertical-align: top; 
}

mcTableBodyStyle {
	span: 0; 
	separator-style: solid; 
	separator-width: 1px; 
	separator-color: #000000; 
	ruler-style: solid; 
	ruler-width: 1px; 
	ruler-color: #000000; 
}

mcTableFootStyle {
	span: 1; 
	separator-style: solid; 
	separator-width: 2pt; 
	separator-color: #000000; 
	background-color: #f5f5f5; 
}

 
 
/* Cell Styles: */
 
.TableStyle_Unshaded
{
	border-left-style: solid;
	border-left-color: #000000;
	border-left-width: 1px;
	border-right-style: solid;
	border-right-color: #000000;
	border-right-width: 1px;
	border-top-style: solid;
	border-top-color: #000000;
	border-top-width: 1px;
	border-bottom-style: solid;
	border-bottom-color: #000000;
	border-bottom-width: 1px;
	margin-top: 3pt;
	margin-bottom: 15pt;
	border-collapse: collapse;
	border-spacing: 0px 0px;
	mc-cell-padding: 2pt 2pt 5pt 2pt;
}

.TableStyle_Unshaded_Head_0_0
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Head_0_0 p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_RowSep_ColSep
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	border-bottom-width: 3px;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Head_0_0_RowSep_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_RowSep
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	border-bottom-width: 3px;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Head_0_0_RowSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_ColSep
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Head_0_0_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_RowSep_ColEnd
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	border-bottom-width: 3px;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle_Unshaded_Head_0_0_RowSep_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_RowEnd
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Head_0_0_RowEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_RowEnd_ColSep
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Head_0_0_RowEnd_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_RowEnd_ColEnd
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle_Unshaded_Head_0_0_RowEnd_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Head_0_0_ColEnd
{
	font-size: 12pt;
	font-weight: bold;
	text-align: center;
	background-color: #cccccc;
	color: #000000;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
}

.TableStyle_Unshaded_Head_0_0_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	font-size: 12pt;
	font-weight: bold;
	color: #000000;
}

.TableStyle_Unshaded_Body_0_0
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0 p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_RowSep_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_RowSep_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_RowSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_RowSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_RowSep_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_RowSep_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_RowEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_RowEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_RowEnd_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_RowEnd_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_RowEnd_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_RowEnd_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_0_0_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_0_0_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0 p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_RowSep_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_RowSep_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_RowSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_RowSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_RowSep_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_RowSep_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_RowEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_RowEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_RowEnd_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_RowEnd_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_RowEnd_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_RowEnd_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Body_1_0_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Body_1_0_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0 p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_RowSep_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_RowSep_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_RowSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_RowSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_RowSep_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_RowSep_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_RowEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_RowEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_RowEnd_ColSep
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_RowEnd_ColSep p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_RowEnd_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_RowEnd_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}

.TableStyle_Unshaded_Foot_0_0_ColEnd
{
	vertical-align: top;
	border-bottom-width: 1px;
	border-bottom-color: #000000;
	border-bottom-style: solid;
	padding-left: 2pt;
	padding-right: 5pt;
	padding-top: 2pt;
	padding-bottom: 2pt;
	border-right-width: 1px;
	border-right-color: #000000;
	border-right-style: solid;
}

.TableStyle_Unshaded_Foot_0_0_ColEnd p
{
	margin-top: 3pt;
	margin-left: 0pt;
	margin-right: 0pt;
	margin-bottom: 0pt;
	padding: 1pt;
	
}


